phpLDAPadmin

# Class: MassRender

Source Location: /templates/3rdParty/pla/lib/MassRender.php

### Class Overview

    Visitor
       |
       --PageRender
          |
          --TemplateRender
             |
             --MassRender

TemplateRender class

### Methods

- drawMassFormReadWriteValueAttribute
- drawMassFormReadWriteValueBinaryAttribute
- drawMassFormReadWriteValueJpegAttribute

### Inherited Variables

#### Class: PageRender

PageRender::$container
PageRender::$dn
PageRender::$page
PageRender::$template
PageRender::$template_id

#### Class: Visitor

Visitor::$server_id

### Inherited Methods

#### Class: TemplateRender

TemplateRender::accept()
  Initialise and Render the TemplateRender
TemplateRender::drawBlurJavascriptAttribute()
TemplateRender::drawCheckLinkPasswordAttribute()
TemplateRender::drawContainerChooser()
  Container Chooser
TemplateRender::drawDefaultHelperPasswordAttribute()
TemplateRender::drawDefaultHelperSambaPasswordAttribute()
TemplateRender::drawDnValueIconAttribute()
TemplateRender::drawEndValueLineAttribute()
TemplateRender::drawFillJavascriptAttribute()
TemplateRender::drawFocusJavascriptAttribute()
TemplateRender::drawForm()
TemplateRender::drawFormEnd()
TemplateRender::drawFormStart()
  FORM METHODS *
TemplateRender::drawFormSubmitButton()
TemplateRender::drawHelperAttribute()
TemplateRender::drawIconAttribute()
  DRAW ICONS FOR ATTRIBUTES VALUES *
TemplateRender::drawIconDnAttribute()
  DN ATTRIBUTES *
TemplateRender::drawIconObjectClassAttribute()
  OBJECT CLASS ATTRIBUTE *
TemplateRender::drawIconSelectionAttribute()
  SELECTION ATTRIBUTE RENDERING *
TemplateRender::drawInternalAttribute()
TemplateRender::drawInternalAttributes()
  INTERNAL ATTRIBUTES *
TemplateRender::drawJavascript()
  DRAW PAGE JAVACRIPT
TemplateRender::drawJavascriptAttribute()
  javacript
TemplateRender::drawJavascriptBinaryAttribute()
  BINARY ATTRIBUTE RENDERING *
TemplateRender::drawJavaScriptDateAttribute()
  DATE ATTRIBUTE RENDERING *
TemplateRender::drawJavascriptPasswordAttribute()
  PASSWORD ATTRIBUTES *
TemplateRender::drawJavascriptRandomPasswordAttribute()
  This will draw the javascript that displays to the user the random password generated
TemplateRender::drawMailValueIconAttribute()
TemplateRender::drawMenuAttribute()
  ATTRIBUTE MENU *
TemplateRender::drawObjectClassChooser()
  Object Class Chooser
TemplateRender::drawRDNChooser()
  RDN Chooser
TemplateRender::drawRequiredSymbolAttribute()
TemplateRender::drawSelectorPopupDateAttribute()
  Draws an HTML date selector button which, when clicked, pops up a date selector dialog.
TemplateRender::drawStartValueLineAttribute()
  ATTRIBUTE LINE *
TemplateRender::drawStepForm()
TemplateRender::drawSubTitle()
TemplateRender::drawTemplateAttribute()
TemplateRender::drawTemplateChoice()
  Present a list of available templates for creating and editing LDAP entries
TemplateRender::drawTemplateValuesAttribute()
TemplateRender::drawTitle()
TemplateRender::drawTitleAttribute()
  ATTRIBUTE TITLE *
TemplateRender::drawUrlValueIconAttribute()
TemplateRender::drawValidateJavascriptAttribute()
TemplateRender::drawValueAttribute()
  values *
TemplateRender::getAddValueMenuItemAttribute()
TemplateRender::getAddValueMenuItemObjectClassAttribute()
TemplateRender::getBlurJavascriptAttribute()
TemplateRender::getDefaultAttribute()
TemplateRender::getDeleteAttributeMessage()
TemplateRender::getFocusJavascriptAttribute()
TemplateRender::getMenuItemAddAttribute()
TemplateRender::getMenuItemAttribute()
TemplateRender::getMenuItemCompare()
TemplateRender::getMenuItemCreate()
TemplateRender::getMenuItemExportBase()
TemplateRender::getMenuItemExportSub()
TemplateRender::getMenuItemInternalAttributes()
TemplateRender::getMenuItemRename()
TemplateRender::getMenuItemSelectionAttribute()
TemplateRender::getMenuItemShowChildren()
TemplateRender::getMenuItemSwitchTemplate()
TemplateRender::getMode()
  Set the mode of the TemplateRender
TemplateRender::getModeContainer()
  Return the container for this mode
TemplateRender::getModifiedAttributesMessage()
TemplateRender::getModifyMemberMenuItemAttribute()
TemplateRender::getReadOnlyMessage()
TemplateRender::getRenameMenuItemAttribute()
TemplateRender::getViewSchemaMessage()
TemplateRender::haveDefaultTemplate()
  Is the default template enabled?

#### Class: PageRender

PageRender::__construct()
PageRender::accept()
  Initialise the PageRender
PageRender::drawCurrentValueAttribute()
  Draw the current specific value of an attribute
PageRender::drawCurrentValueBinaryAttribute()
PageRender::drawCurrentValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawCurrentValuePasswordAttribute()
PageRender::drawCurrentValuesAttribute()
  DRAW DISPLAYED CURRENT VALUES *
PageRender::drawFormReadOnlyValueAttribute()
PageRender::drawFormReadOnlyValueBinaryAttribute()
PageRender::drawFormReadOnlyValueJpegAttribute()
PageRender::drawFormReadOnlyValueMultiLineAttribute()
PageRender::drawFormReadOnlyValuePasswordAttribute()
PageRender::drawFormReadOnlyValueShadowAttribute()
PageRender::drawFormReadWriteValueAttribute()
PageRender::drawFormReadWriteValueBinaryAttribute()
PageRender::drawFormReadWriteValueDateAttribute()
PageRender::drawFormReadWriteValueDnAttribute()
PageRender::drawFormReadWriteValueGidAttribute()
PageRender::drawFormReadWriteValueMultiLineAttribute()
PageRender::drawFormReadWriteValuePasswordAttribute()
PageRender::drawFormReadWriteValueSelectionAttribute()
PageRender::drawFormReadWriteValueShadowAttribute()
PageRender::drawFormValueAttribute()
  Draw a input value for an attribute - used in a form.
PageRender::drawFormValueObjectClassAttribute()
PageRender::drawHiddenAttributes()
  Draw all hidden attributes
PageRender::drawHiddenValueAttribute()
  Draw specific hidden attribute
PageRender::drawHiddenValueBinaryAttribute()
  Draw specific hidden binary attribute
PageRender::drawNameAttribute()
  DRAW ATTRIBUTE NAME *
PageRender::drawNotesAttribute()
  ATTRIBUTE NOTES
PageRender::drawOldValueAttribute()
PageRender::drawOldValueBinaryAttribute()
PageRender::drawOldValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawOldValuePasswordAttribute()
PageRender::drawOldValuesAttribute()
  DRAW DISPLAYED OLD VALUES *
PageRender::drawShadowDateShadowAttribute()
PageRender::drawSubTitle()
PageRender::drawTitle()
PageRender::getAutoPostPasswordAttribute()
PageRender::getMode()
  May be overloaded in other classes
PageRender::getModeContainer()
PageRender::getNoteAliasAttribute()
PageRender::getNoteHintAttribute()
PageRender::getNoteRDNAttribute()
PageRender::getNoteRequiredAttribute()
PageRender::getNoteROAttribute()
PageRender::getPostAttribute()
  Process our <post> arguments from the templates
PageRender::getTemplate()
PageRender::getTemplateChoice()
  This function is invoked if we dont know which template we should be using.
PageRender::getTemplateID()
PageRender::getTemplates()
  Get our templates applicable for this object
PageRender::setContainer()
PageRender::setDN()
PageRender::visitAttribute()
  Dummy method...

#### Class: Visitor

Visitor::getServer()
  Return this LDAP Server object
Visitor::getServerID()
  Return the LDAP server ID
Visitor::__call()

### Class Details

[line 15]
TemplateRender class
[ Top ]

### Class Methods

### method drawMassFormReadWriteValueAttribute [line 16]

`void drawMassFormReadWriteValueAttribute( $attribute, $i, $j)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |
| $j |

[ Top ]

### method drawMassFormReadWriteValueBinaryAttribute [line 40]

`void drawMassFormReadWriteValueBinaryAttribute( $attribute, $i, $j)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |
| $j |

[ Top ]

### method drawMassFormReadWriteValueJpegAttribute [line 44]

`void drawMassFormReadWriteValueJpegAttribute( $attribute, $i, $j)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |
| $j |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:56 +0100 by phpDocumentor 1.4.1